import Vue from 'vue'
import Vuex from 'vuex'
import Common from './modules/common'
import User from './modules/user'
import Search from './modules/search'

// https://github.com/vuejs/vuex/tree/dev/examples/shopping-cart

Vue.use(Vuex)
export default new Vuex.Store({
  modules: {
    Common,
    User,
    Search
  }
})
